
export function assertExhaustive(matchedItem?: never): never {
    throw new Error(`unexhaustive match, unmatched value: ${matchedItem}`);
}

export function toString(value: unknown): string {
    const stringified = String(value);
    if (stringified === "[object Object]")
        return JSON.stringify(value, null, 4)
    return stringified;
}

